Favicon

You are here: Home > API Reference > AOSP > Android Non Gms Devices > Request device to report status

POST /organizations/:organizationId/mdm/aosp/enterprise/devices/:aosDeviceId/report-status

Required Permission: mdm.aosp.device.update

Send a push to request the device to report status

POST
/v1/organizations/:organizationId/mdm/aosp/enterprise/devices/:aosDeviceId/report-status
Copy to clipboard

Request device to report status

Required Permission: mdm.aosp.device.update

Send a push to request the device to report status

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
aosDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
status boolean required
{
    "status": true,
    "data": {
        "status": true
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5173
message string optional
No pushNotification token configured
{
    "status": false,
    "error": {
        "code": 5173,
        "message": "No pushNotification token configured"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}